using PCHMI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CowainHmi
{
    public partial class DlgS1安全 : Form
    {
        private static DlgS1安全 instance = null;
        private DlgS1安全()
        {
            InitializeComponent();
        }

        public static DlgS1安全 GetInstance()
        {
            if (instance == null || instance.IsDisposed)
            {
                instance = new DlgS1安全();
            }
            return instance;
        }
        // 可以重写ShowDialog方法，以确保不会重复显示  
        public new void ShowDialog()
        {
            // 检查实例是否已被显示  
            if (!this.Visible)
            {
                base.ShowDialog();
            }
            else
            {
                // 如果已显示，则可以选择激活或聚焦到窗口  
                this.Activate();
            }
        }

    }
}
